46 lines
1.4 KiB
Diff
46 lines
1.4 KiB
Diff
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
|
|
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
|
Date: Mon, 21 Feb 2022 14:58:40 -0500
|
|
Subject: [PATCH] helpers.bash: Use correct syntax
|
|
|
|
Fixes gating test failure:
|
|
```
|
|
/usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
|
|
```
|
|
|
|
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
|
|
|
|
I'm just the committer.
|
|
|
|
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
|
---
|
|
tests/helpers.bash | 8 ++++----
|
|
1 file changed, 4 insertions(+), 4 deletions(-)
|
|
|
|
diff --git a/tests/helpers.bash b/tests/helpers.bash
|
|
index bd2794c974..3e72108bec 100644
|
|
--- a/tests/helpers.bash
|
|
+++ b/tests/helpers.bash
|
|
@@ -433,9 +433,9 @@ function skip_if_rootless() {
|
|
##################################
|
|
function skip_if_rootless_and_cgroupv1() {
|
|
if test "$BUILDAH_ISOLATION" = "rootless"; then
|
|
- if !is_cgroupsv2; then
|
|
- skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
|
- fi
|
|
+ if ! is_cgroupsv2; then
|
|
+ skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
|
+ fi
|
|
fi
|
|
}
|
|
|
|
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
|
|
# skip_if_cgroupsv1 # Some tests don't work with cgroupsv1
|
|
#######################
|
|
function skip_if_cgroupsv1() {
|
|
- if !is_cgroupsv2; then
|
|
+ if ! is_cgroupsv2; then
|
|
skip "${1:-test does not work with cgroups v1}"
|
|
fi
|
|
}
|